Skip to main content
GET
/
permittees
Search permittees
curl --request GET \
  --url https://app.colacloud.us/api/v1/permittees \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "permit_number": "<string>",
      "company_name": "<string>",
      "company_state": "<string>",
      "company_zip_code": "<string>",
      "permittee_type": "<string>",
      "is_active": true,
      "active_reason": "<string>",
      "colas": 123,
      "colas_approved": 123,
      "last_cola_application_date": "2023-12-25"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Query Parameters

q
string

Search by company name (partial match)

state
string

Filter by state (two-letter code, case-insensitive)

is_active
enum<string>

Filter by active permit status

Available options:
true,
false
page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:20

Results per page (max 100)

Required range: 1 <= x <= 100

Response

Successful response

data
object[]
pagination
object